<?php
// Enable error reporting
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

echo "<h2>Directory Setup</h2>";

// Required directories
$directories = [
    __DIR__ . '/../temp',
    __DIR__ . '/../logs',
    __DIR__ . '/../certs',
    __DIR__ . '/../assets/pass_images'
];

// Create directories if they don't exist
foreach ($directories as $dir) {
    if (!file_exists($dir)) {
        if (mkdir($dir, 0755, true)) {
            echo "<p style='color: green;'>Created directory: $dir</p>";
        } else {
            echo "<p style='color: red;'>Failed to create directory: $dir</p>";
        }
    } else {
        echo "<p>Directory already exists: $dir</p>";
        
        // Check if writable
        if (is_writable($dir)) {
            echo "<p style='color: green;'>Directory is writable</p>";
        } else {
            echo "<p style='color: red;'>Warning: Directory is not writable: $dir</p>";
        }
    }
}

// Generate default pass images if they don't exist
require_once __DIR__ . '/../includes/functions.php';

if (function_exists('generateDefaultPassImages')) {
    echo "<h3>Generating default pass images</h3>";
    generateDefaultPassImages();
    echo "<p style='color: green;'>Default pass images generated</p>";
} else {
    echo "<p style='color: red;'>Function 'generateDefaultPassImages' not found. Please check functions.php</p>";
}

echo "<h3>Setup Complete</h3>";
echo "<p>All required directories have been created and checked. You can now proceed with using the PKPass functionality.</p>";
echo "<p><a href='card.php?card_number=LC202503224956'>Go to Test Card</a></p>";
?> 